Documenso

API Versioning

Versioning information for the Documenso public API.

Documents and templates are being deprecated and replaced by envelopes. Read the migration guide here.

Overview

Documenso uses API versioning to manage changes to the public API. This allows us to introduce new features, fix bugs, and make other changes without breaking existing integrations.

The current version of the API is v2.

The API version is specified in the URL. For example, the base URL for the v2 API is https://app.documenso.com/api/v2.

We may make changes to the API without incrementing the version number. We will always try to avoid breaking changes, but in some cases, it may be necessary to make changes that are not backward compatible. In these cases, we will increment the version number and provide information about the changes in the release notes.

Also, we may deprecate certain features or endpoints in the API. When we deprecate a feature or endpoint, we will provide information about the deprecation in the release notes and give a timeline for when the feature or endpoint will be removed.


Documents, Templates, and Envelopes

Documenso has unified documents and templates into a single resource called an envelope. New integrations should create documents and templates through the /envelope/* endpoints. The POST /document/create and POST /template/create endpoints (including their /beta variants) are deprecated in favor of POST /envelope/create.

See Migrating to the Envelope API for the rationale and step-by-step migration examples.


See Also

On this page